Bug 666314 - (CVE-2010-2641) CVE-2010-2641 evince: Array index errror in DVI file VF font parser
CVE-2010-2641 evince: Array index errror in DVI file VF font parser
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110105,reported=20101229,sou...
: Security
Depends On: 666323 666324 667573 680005
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-30 00:01 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 09:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 04:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2010-12-30 00:01:16 EST
An array index error in the parser for VF font files, which is used for
rendering DVI files, in the GNOME evince document viewer can lead to local or
remote code execution. Due to insufficient bounds checks when writing to
elements in an array, it's possible to overwrite the address of a function
pointer, leading to possible arbitrary code execution.

Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2641 to
this issue.

The vulnerability is present in the code that handles loading of fonts used by
DVI files.To exploit you need two files, a DVI file and the malicious font.
The vulnerability is triggered not only by opening the document in evince, but
also by browsing to a folder which contains the malicious files, where evince
thumbnailer will load the malicious file to generate a thumbnail for it.

Acknowledgements:

Red Hat would like to thank the Evince development team for reporting this issue. Upstream acknowledges Jon Larimer of IBM X-Force as the original reporter.
Comment 5 Huzaifa S. Sidhpurwala 2011-01-05 22:00:33 EST
Created evince tracking bugs for this issue

Affects: fedora-all [bug 667573]
Comment 6 errata-xmlrpc 2011-01-06 13:28:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0009 https://rhn.redhat.com/errata/RHSA-2011-0009.html
Comment 8 Huzaifa S. Sidhpurwala 2011-01-11 23:02:59 EST
Statement:

This issue did not affect the versions of evince as shipped with Red Hat
Enterprise Linux 5.

Note You need to log in before you can comment on or make changes to this bug.